--- title: "All New Wine Direct Data Lake" slug: "all-new-wine-direct-data-lake" description: "The All New WineDirect Data Lake provides all Order, Customer and Wine Club records from All New WineDirect. " updated: 2024-08-13T17:01:30Z published: 2024-08-13T17:01:30Z canonical: "docs.winedirect.com/all-new-wine-direct-data-lake" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.winedirect.com/llms.txt > Use this file to discover all available pages before exploring further. # All New WineDirect Data Lake The All New WineDirect Data Lake provides all Order, Customer and Wine Club records from All New WineDirect. ## Data Refresh Frequency All New WineDirect Order, Customer, and Wine Club data are updated hourly. Folders for each day will contain orders that were **CREATED OR MODIFIED** on that date. An order can appear in multiple date folders if it gets updated on multiple dates. All dates and times are in UTC. All New WineDirect hourly data populates 5-10 minutes after the end of the hour. ## **Orders** ### **Data Structure** ### [Order Schema](https://docs.winedirect.com/all-new-winedirect-docs/docs/sample-schema-page-for-all-new-winedirect-data-lake) ### Files are in Parquet format. Sample orders parquet file with 50 dummy orders record [Orders Sample File](https://cdn.document360.io/7485bb4a-23de-4afb-8cc6-1aefa93abbfa/Images/Documentation/orders-sample.parquet) **Folder Structure** ### Data is partitioned by Tenant ID, Year, Month, Day. Files can be downloaded for a specified year, month, or day. **URL Structure** For new or migrated websites on ANWD, use the Tenant ID to access orders and all other objects (customers, products, etc.) listed below. https://datalake.alpha.app.winedirect.com/tenant/{tenant_id}/orders/{year}/{month}/{day} **IMPORTANT NOTE:** To access client data on the ANWD staging environment, use the Tenant ID and staging URL to access orders and all other objects (customers, products, etc.) listed below. **Hourly partitioned data is available in ANWD. Pass the hour to the URL to fetch the hourly data. A 5-10 minute lag exists before the previous hour's data is populated.** - Staging URL: [https://datalake.alpha.staging.app.winedirect.com/tenant/{tenant_id}/orders/{year}/{month}/{day}/{hour}](https://datalake.alpha.staging.app.winedirect.com/tenant/%7btenant_id%7d/orders/%7byear%7d/%7bmonth%7d/%7bday%7d/%7bhour%7d) - Production URL: [https://datalake.alpha.app.winedirect.com/tenant/{tenant_id}/orders/{year}/{month}/{day}/{hour}](https://datalake.alpha.app.winedirect.com/tenant/%7btenant_id%7d/orders/%7byear%7d/%7bmonth%7d/%7bday%7d/%7bhour%7d) **Examples** - For Tenant ID abcd-123-XYZ-345, to get all orders from January 2023 use this URL (All small alphabets for tenant ID)  https://datalake.alpha.app.winedirect.com/tenant/abcd-123-XYZ-345/orders/2023/1 - For Tenant ID abcd-123-XYZ-345, to get all orders from 2022 use this URL (All small alphabets for tenant ID) https://datalake.alpha.app.winedirect.com/tenant/abcd-123-xyz-345/orders/2022 - For Tenant ID abcd-123-XYZ-345, to get all orders from 2023-11-09 hour 15 to 16 UTC use this URL (All small alphabets for tenant ID) [https://datalake.alpha.app.winedirect.com/tenant/abcd-123-xyz-345/orders/2023/11/9/15](https://datalake.alpha.app.winedirect.com/tenant/abcd-123-xyz-345/orders/2023/11/9/15) - For Tenant ID abcd-123-XYZ-345, to get all orders from 15th January 2020 use this URL  https://datalake.alpha.app.winedirect.com/tenant/abcd-123-XYZ-345/orders/2020/1/15 ## **Data Refresh Frequency** Data is updated daily. Folders for each day will contain orders that were CREATED OR MODIFIED on that date. An order can appear in multiple date folders if it gets updated on multiple dates. All dates and times are in UTC. ANWD Orders Hourly data populates 5-10 min after the end of the hour. ## **Steps to Download Records from Data Lake** 1. Each Tenant will have its own credentials. If you have an ANWD store, a user with StoreAdmin access can get the credentials from the Integrations section on the Admin Panel ![](https://cdn.document360.io/7485bb4a-23de-4afb-8cc6-1aefa93abbfa/Images/Documentation/image-1687280745145.png) ![](blob:https://winedirect.atlassian.net/5dbd450f-2cc0-4375-9a23-c2d335f8fdc0#media-blob-url=true&id=5f4ba7a4-5936-4353-b838-aedc9336a5a5&collection=contentId-2716008451&contextId=2716008451&height=306&width=1268&alt=)2. Authenticate using the credentials and provided ``` Textcurl -X POST \--user : \'https://datalake.alpha.app.winedirect.com/oauth2/token?grant_type=client_credentials' \-H 'Content-Type: application/x-www-form-urlencoded' ``` 3. Authentication will return a token to use for accessing data. Use the token to fetch data from the Data Lake. The token will be valid for 60 min. ``` Textcurl -X GET \-H "Authorization: Bearer " \-H "Content-Type: application/json" https://datalake.alpha.app.winedirect.com/tenant/{tenant_id}/orders/{year}/{month}/{day} \--output results.zip ``` **Customers** The Authentication process for Customer data is the same as the process for Orders data. The same token can be used if it is still valid. **Below are the URLs available to download Customer related data:** ### Customers https://datalake.alpha.app.winedirect.com/tenant//customers///
[Customers Data Lake Schema](https://docs.winedirect.com/all-new-winedirect-docs/docs/customers-data-lake-sample-schema-up-to-date-as-of-nov-6-2023) Sample customers parquet file with 50 dummy customer records - [Sample Customer Parquet File](https://cdn.document360.io/7485bb4a-23de-4afb-8cc6-1aefa93abbfa/Images/Documentation/customers-sample.parquet) ### Customer Tags https://datalake.alpha.app.winedirect.com/tenant//customer_tags///
[Customers Tags Data Lake Schema](https://docs.winedirect.com/all-new-winedirect-docs/docs/customers-tags-data-lake-sample-schema-up-to-date-as-of-nov-6-2023) ### Customer Segments https://datalake.alpha.app.winedirect.com/tenant//customer_segments///
[Customer Segments Data Lake Schema](https://docs.winedirect.com/all-new-winedirect-docs/docs/customer-segments-data-lake-schema-up-to-date-as-of-nov-6-2023) ### Customer Date Type Options https://datalake.alpha.app.winedirect.com/tenant//customer_date_type_options///
[Customer Date Type Options Schema](https://docs.winedirect.com/all-new-winedirect-docs/docs/customer-date-type-options-sample-schema-up-to-date-as-of-nov-6-2023) ### Customer Groups https://datalake.alpha.app.winedirect.com/tenant//customer_groups///
[Customers Groups Data Lake Schema](https://docs.winedirect.com/all-new-winedirect-docs/docs/customers-groups-data-lake-sample-schema-up-to-date-as-of-nov-6-2023) ## **Wine Clubs** The authentication process for Wine Clubs data is the same as for Orders; the same token can be used if it is still valid. **Below are the URLs available to download Wine Clubs related data:** ### Clubs https://datalake.alpha.app.winedirect.com/tenant//clubs///
[Clubs Data Lake Schema](https://docs.winedirect.com/all-new-winedirect-docs/docs/club-data-sample-schema-up-to-date-as-of-nov-6-2023) Sample Clubs parquet file with 50 dummy clubs records - [Sample Clubs Parquet File](https://cdn.document360.io/7485bb4a-23de-4afb-8cc6-1aefa93abbfa/Images/Documentation/clubs-sample.parquet) ### Clubs Memberships https://datalake.alpha.app.winedirect.com/tenant//clubs_memberships///
[Clubs Memberships Data Lake Schema](https://docs.winedirect.com/all-new-winedirect-docs/docs/clubs-memberships-data-lake-sample-schema-up-to-date-as-of-nov-6-2023) ### Clubs Releases Products https://datalake.alpha.app.winedirect.com/tenant//clubs_release_products///
[Clubs Releases Products Data Lake Schema](https://docs.winedirect.com/all-new-winedirect-docs/docs/clubs-releases-products-data-lake-sample-schema-up-to-date-as-of-nov-6-2023) ### Clubs Releases https://datalake.alpha.app.winedirect.com/tenant//clubs_releases///
[Clubs Releases Data Lake Schema](https://docs.winedirect.com/all-new-winedirect-docs/docs/clubs-releases-data-lake-sample-schema-up-to-date-as-of-nov-6-2023)